<?php
/**
 * The Business Blocks: Block Patterns
 *
 * @since The Business Blocks 1.0
 */

function the_business_blocks_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'the-business-blocks' => array( 'label' => __( 'The Business Blocks', 'the-business-blocks' ) )
	);
	$block_pattern_categories = apply_filters( 'the_business_blocks_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'the_business_blocks_register_block_patterns', 9 );